Skip to main content
Quote / Variants

Get an array of model years for a given vehicle model

Get an array of model years for a given vehicle model.

GET
/qt/model-years

Model Years are linked to Variants, and Variants are excluded if they have a status of 'pending'. So if all the Variants for a particular Model Year are at status 'pending', that Model Year will not be returned in the list.

This method requires the QuoteVariants:Get permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
model_idstringqueryrequired

Model Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
profile_required_flagenum<string>querydefault:yes

If yes, display model years only for qt_variants with a qt_variant_profiles record with a 'date' valid for the current invocation date

Available options: yes, no

Response

application/vnd.catch-e-api.v1+json

Success

itemsnumber[]